
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php 操作数组（合并，拆分，追加，查找，删除等）_php技巧 / iVAN</title>

    <meta name="description" content="php 操作数组（合并，拆分，追加，查找，删除等）_php技巧 1. 合并数组 array_merge()函数将数组合并到一起,返回一个联合的数组.所得到的数组以第一个输入数组参数开始,按后面数组参数出现的顺序依次迫加.其形式为: 复制代码 代码如下: array array_merge (array array1 array2-,arrayN) 这个函数将一个或多个数组的单元合并起来,一个数组中的值附加在前一个数组的后面.返回作为结果的数组. 如果输入的数组中有相同的字符串键名,则该键名后面的值将覆盖前一个值.然而,如果数组包含数字键名,后面的值将不会覆盖">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php 操作数组（合并，拆分，追加，查找，删除等）_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>1. 合并数组</strong> <br />array_merge()函数将数组合并到一起，返回一个联合的数组。所得到的数组以第一个输入数组参数开始，按后面数组参数出现的顺序依次迫加。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_merge (array array1 array2…,arrayN)</p>
<p>这个函数将一个或多个数组的单元合并起来，一个数组中的值附加在前一个数组的后面。返回作为结果的数组。 <br />如果输入的数组中有相同的字符串键名，则该键名后面的值将覆盖前一个值。然而，如果数组包含数字键名，后面的值将不会覆盖原来的值，而是附加到后面。 <br />如果只给了一个数组并且该数组是数字索引的，则键名会以连续方式重新索引。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruits = array("apple","banana","pear"); <br />$numbered = array("1","2","3"); <br />$cards = array_merge($fruits, $numbered); <br />print_r($cards); <br />// output <br />// Array ( [0] =&gt; apple [1] =&gt; banana [2] =&gt; pear [3] =&gt; 1 [4] =&gt; 2 [5] =&gt; 3 ) <br />?&gt;</p>
<p><strong>2. 追加数组</strong> <br />array_merge_recursive()函数与array_merge()相同，可以将两个或多个数组合并在一起，形成一个联合的数组．两者之间的区别在于，当某个输入数组中的某个键己经存在于结果数组中时该函数会采取不同的处理方式．array_merge()会覆盖前面存在的键/值对，替换为当前输入数组中的键/值对，而array_merge_recursive()将把两个值合并在一起，形成一个新的数组，并以原有的键作为数组名。还有一个数组合并的形式，就是递归追加数组。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_merge_recursive(array array1,array array2[…,array arrayN])</p>
<p>程序实例如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruit1 = array("apple" =&gt; "red", "banana" =&gt; "yellow"); <br />$fruit2 = array("pear" =&gt; "yellow", "apple" =&gt; "green"); <br />$result = array_merge_recursive($fruit1, $fruit2); <br />print_r($result); <br />// output <br />// Array ( [apple] =&gt; Array ( [0] =&gt; red [1] =&gt; green ) [banana] =&gt; yellow [pear] =&gt; yellow ) <br />?&gt;</p>
<p>现在键 apple 指向一个数组，这个数组由两个颜色值组成的索引数组。 <br /><strong>3. 连接数组 <br /></strong>array_combine()函数会得到一个新数组，它由一组提交的键和对应的值组成。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_combine(array keys,array values)</p>
<p>注意，两个输入数组必须大小相同，不能为空。示例如下</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$name = array("apple", "banana", "orange"); <br />$color = array("red", "yellow", "orange"); <br />$fruit = array_combine($name, $color); <br />print_r($fruit); <br />// output <br />// Array ( [apple] =&gt; red [banana] =&gt; yellow [orange] =&gt; orange ) <br />?&gt;</p>
<p><strong>4. 拆分数组 array_slice() <br /></strong>array_slice()函数将返回数组中的一部分，从键offset开始，到offset+length位置结束。其形式：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_slice (array array, int offset[,int length])</p>
<p>offset 为正值时，拆分将从距数组开头的offset 位置开始；如果offset 为负值，则拆分从距数组末尾的offset 位置开始。如果省略了可选参数length，则拆分将从offset 开始，一直到数组的最后一个元素。如果给出了length 且为正数，则会在距数组开头的offset+length 位置结束。相反，如果给出了length且为负数，则在距数组开头的count(input_array)-|length|位置结束。考虑一个例子：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruits = array("Apple", "Banana", "Orange", "Pear", "Grape", "Lemon", "Watermelon"); <br />$subset = array_slice($fruits, 3); <br />print_r($subset); <br />// output <br />// Array ( [0] =&gt; Pear [1] =&gt; Grape [2] =&gt; Lemon [3] =&gt; Watermelon ) <br />?&gt;</p>
<p>然后我们使用下负长度：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruits = array("Apple", "Banana", "Orange", "Pear", "Grape", "Lemon", "Watermelon"); <br />$subset = array_slice($fruits, 2, -2); <br />print_r($subset); <br />// output <br />// Array ( [0] =&gt; Orange [1] =&gt; Pear [2] =&gt; Grape ) <br />?&gt;</p>
<p><strong>5. 接合数组 array_splice() <br /></strong>array_splice()函数会删除数组中从offset开始到offset+length 结束的所有元素，并以数组的形式返回所删除的元素。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_splice ( array array , int offset[,length[,array replacement]])</p>
<p>offset 为正值时，则接合将从距数组开头的offset 位置开始，offset 为负值时，接合将从距数组末尾的offset 位置开始。如果忽略可选的length 参数，则从offset 位置开始到数组结束之间的所有元素都将被删除。如果给出了length 且为正值，则接合将在距数组开头的offset + leng th 位置结束。相反，如果给出了length且为负值，则结合将在距数组开头的count(input_array)-length的位置结束。实例如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruits = array("Apple", "Banana", "Orange", "Pear", "Grape", "Lemon", "Watermelon"); <br />$subset = array_splice($fruits, 4); <br />print_r($fruits); <br />print_r($subset); <br />// output <br />// Array ( [0] =&gt; Apple [1] =&gt; Banana [2] =&gt; Orange [3] =&gt; Pear ) <br />// Array ( [0] =&gt; Grape [1] =&gt; Lemon [2] =&gt; Watermelon ) <br />?&gt;</p>
<p>可以使用可选参数replacement来指定取代目标部分的数组。实例如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruits = array("Apple", "Banana", "Orange", "Pear", "Grape", "Lemon", "Watermelon"); <br />$subset = array_splice($fruits, 2, -1, array("Green Apple", "Red Apple")); <br />print_r($fruits); <br />print_r($subset); <br />// output <br />// Array ( [0] =&gt; Apple [1] =&gt; Banana [2] =&gt; Green Apple [3] =&gt; Red Apple [4] =&gt; Watermelon ) <br />// Array ( [0] =&gt; Orange [1] =&gt; Pear [2] =&gt; Grape [3] =&gt; Lemon ) <br />?&gt;</p>
<p>从程序可以很清楚看到这个函数的使用方法了。</p>
<p><strong>6. 数组的交集 array_intersect() <br /></strong>array_intersect()函数返回一个保留了键的数组，这个数组只由第一个数组中出现的且在其他每个输入数组中都出现的值组成。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_intersect(array array1,array array2[,arrayN…])</p>
<p>下面这个例子将返回在$fruit1数组中出现的且在$fruit2和$fruit3中也出现的所有的水果：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruit1 = array("Apple","Banana","Orange"); <br />$fruit2 = array("Pear","Apple","Grape"); <br />$fruit3 = array("Watermelon","Orange","Apple"); <br />$intersection = array_intersect($fruit1, $fruit2, $fruit3); <br />print_r($intersection); <br />// output <br />// Array ( [0] =&gt; Apple ) <br />?&gt;</p>
<p>只有在两个元素相等且具有相同的数据类型时，array_intersect()函数才会认为它们是相同的。</p>
<p><strong>7. 关联数组的交集 array_intersect_assoc() <br /></strong>函数array_intersect_assoc()与array_intersect()基本相同，只不过他在比较中还考虑了数组的键。因此，只有在第一个数组中出现，且在所有其他输入数组中也出现的键/值对才返回到结果数组中。 <br />形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_intersect_assoc(array array1,array array2[,arrayN…])</p>
<p>下面的例子返回了出现在$fruit1数组中，也同时出现在$fruit2与$fruit3中的所有键/值对：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruit1 = array("red"=&gt;"Apple","yellow"=&gt;"Banana","orange"=&gt;"Orange"); <br />$fruit2 = array("yellow"=&gt;"Pear","red"=&gt;"Apple","purple"=&gt;"Grape"); <br />$fruit3 = array("green"=&gt;"Watermelon","orange"=&gt;"Orange","red"=&gt;"Apple"); <br />$intersection = array_intersect_assoc($fruit1, $fruit2, $fruit3); <br />print_r($intersection); <br />// output <br />// Array ( [red] =&gt; Apple ) <br />?&gt;</p>
<p><strong>8. 数组的差集 array_diff() <br /></strong>函数array_diff()返回出现在第一个数组中但其他输入数组中没有的值。这个功能与array_intersect()相反。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_diff(array array1,array array2[,arrayN…])</p>
<p>实例如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruit1 = array("Apple","Banana","Orange"); <br />$fruit2 = array("Pear","Apple","Grape"); <br />$fruit3 = array("Watermelon","Orange","Apple"); <br />$intersection = array_diff($fruit1, $fruit2, $fruit3); <br />print_r($intersection); <br />// output <br />// Array ( [1] =&gt; Banana ) <br />?&gt;</p>
<p><strong>9. 关联数组的差集 array_diff_assoc()</strong></p>
<p>函数array_diff_assoc()与array_diff()基本相同，只是它在比较时还考虑了数组的键。因此，只在第一个数组中出现而不再其他输入数组中出现的键/值对才会返回到结果数组中。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_diff_assoc(array array1,array array2[,arrayN…])</p>
<p>下面的例子只返回了[yellow] =&gt; Banana,因为这个特殊的键/值对出现在$fruit1中，而在$fruit2和$fruit3中都不存在。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?php <br />$fruit1 = array("red"=&gt;"Apple","yellow"=&gt;"Banana","orange"=&gt;"Orange"); <br />$fruit2 = array("yellow"=&gt;"Pear","red"=&gt;"Apple","purple"=&gt;"Grape"); <br />$fruit3 = array("green"=&gt;"Watermelon","orange"=&gt;"Orange","red"=&gt;"Apple"); <br />$intersection = array_diff_assoc($fruit1, $fruit2, $fruit3); <br />print_r($intersection); <br />// output <br />// Array ( [yellow] =&gt; Banana ) <br />?&gt;</p>
<p>使用数组的过程中经常要遍历数组。通常需要遍历数组并获得各个键或值（或者同时获得键和值），所以毫不奇怪，PHP为此提供了一些函数来满足需求。许多函数能完成两项任务，不仅能获取当前指针位置的键或值，还能将指针移向下一个适当的位置。</p>
<p><strong>10. 获取当前数组键 key() <br /></strong>key()函数返回input_array中当前指针所在位置的键。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>mixed key(array array)</p>
<p>下面的例子通过迭代处理数组并移动指针来输出$fruits数组的键：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple"=&gt;"red", "banana"=&gt;"yellow"); <br />while ($key = key($fruits)) { <br />printf("%s &lt;br /&gt;", $key); <br />next($fruits); <br />} <br />// apple <br />// banana</p>
<p>注意，每次调用key()时不会移动指针。为此需要使用next()函数，这个函数的唯一作用就是完成推进指针的任务。</p>
<p><strong>11. 获取当前数组值 current() <br /></strong>current()函数返回数组中当前指针所在位置的数组值。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>mixed current(array array)</p>
<p>下面修改前面的例子，这一次我们要获取数组值：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple"=&gt;"red", "banana"=&gt;"yellow"); <br />while ($fruit = current($fruits)) { <br />printf("%s &lt;br /&gt;", $fruit); <br />next($fruits); <br />} <br />// red <br />// yellow</p>
<p><strong>12. 获取当前数组键和值 each() <br /></strong>each()函数返回input_array的当前键/值对，并将指针推进一个位置。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array each(array array)</p>
<p>返回的数组包含四个键，键0和key包含键名，而键1和value包含相应的数据。如果执行each()前指针位于数组末尾，则返回false。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple", "banana", "orange", "pear"); <br />print_r ( each($fruits) ); <br />// Array ( [1] =&gt; apple [value] =&gt; apple [0] =&gt; 0 [key] =&gt; 0 )</p>
<p>each() 经常和 list() 结合使用来遍历数组。本例与上例类似，不过循环输出了整个数组：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple", "banana", "orange", "pear"); <br />reset($fruits); <br />while (list($key, $val) = each($fruits)) <br />{ <br />echo "$key =&gt; $val&lt;br /&gt;"; <br />} <br />// 0 =&gt; apple <br />// 1 =&gt; banana <br />// 2 =&gt; orange <br />// 3 =&gt; pear</p>
<p>因为将一个数组赋值给另一个数组时会重置原来的数组指针，因此在上例中如果我们在循环内部将 $fruits 赋给了另一个变量的话将会导致无限循环。 <br />这就完成了数组的遍历。</p>
<p>查找、筛选与搜索数组元素是数组操作的一些常见功能。下面来介绍一下几个相关的函数。</p>
<p><strong>13. in_array()函数</strong> <br />in_array()函数在一个数组汇总搜索一个特定值，如果找到这个值返回true，否则返回false。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>boolean in_array(mixed needle,array haystack[,boolean strict]);</p>
<p>来看下面的例子，查找变量apple是否已经在数组中，如果在，则输出一段信息：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruit = "apple"; <br />$fruits = array("apple","banana","orange","pear"); <br />if( in_array($fruit,$fruits) ) <br />echo "$fruit 已经在数组中";</p>
<p>第三个参数可选，它强制in_array()在搜索时考虑类型。</p>
<p><strong>14. array_key_exists()函数 <br /></strong>如果在一个数组中找到一个指定的键，函数array_key_exists()返回true，否则返回false。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>boolean array_key_exists(mixed key,array array);</p>
<p>下面的例子将在数组键中搜索apple，如果找到，将输出这个水果的颜色：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruit["apple"] = "red"; <br />$fruit["banana"] = "yellow"; <br />$fruit["pear"] = "green"; <br />if(array_key_exists("apple", $fruit)){ <br />printf("apple's color is %s",$fruit["apple"]); <br />} <br />//apple's color is red</p>
<p><strong>15. array_search()函数</strong> <br />array_search()函数在一个数组中搜索一个指定的值，如果找到则返回相应的键，否则返回false。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>mixed array_search(mixed needle,array haystack[,boolean strict])</p>
<p>下面的例子在$fruits中搜索一个特定的日期（December 7），如果找到，则返回相应州的有关信息：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits["apple"] = "red"; <br />$fruits["banana"] = "yellow"; <br />$fruits["watermelon"]="green"; <br />$founded = array_search("green", $fruits); <br />if($founded) <br />printf("%s was founded on %s.",$founded, $fruits[$founded]); <br />//watermelon was founded on green.</p>
<p><strong>16. array_keys()函数 <br /></strong>array_keys()函数返回一个数组，其中包含所搜索数组中找到的所有键。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_keys(array array[,mixed search_value])</p>
<p>如果包含可选参数search_value，则只会返回与该值匹配的键。下面的例子将输出$fruit数组中找到的所有数组：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits["apple"] = "red"; <br />$fruits["banana"] = "yellow"; <br />$fruits["watermelon"]="green"; <br />$keys = array_keys($fruits); <br />print_r($keys); <br />//Array ( [0] =&gt; apple [1] =&gt; banana [2] =&gt; watermelon )</p>
<p><strong>17. array_values()函数 <br /></strong>array_values()函数返回一个数组中的所有值，并自动为返回的数组提供数值索引。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>array array_values(array array)</p>
<p>下面的例子将获取$fruits中找到的各元素的值：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits["apple"] = "red"; <br />$fruits["banana"] = "yellow"; <br />$fruits["watermelon"]="green"; <br />$values = array_values($fruits); <br />print_r($values); <br />//Array ( [0] =&gt; red [1] =&gt; yellow [2] =&gt; green )</p>
<p>有时候我们需要扩展一个数组，或者删掉数组的一部分，PHP为扩展和缩小数组提供了一些函数。对于那些希望模仿各种队列实现（FIFO、LIFO）的程序员来说，这些函数可以提供便利。顾名思义，从这些函数的函数名（push、pop、shift和unshift）就清楚地反映出其作用。 <br />PS：传统的队列是一种数据结构，删除元素与加入元素的顺序相同，就称为先进先出，或FIFO。相反，栈是另外一种数据结构，其中删除元素的顺序与加入时的顺序相反，这成为后进先出，或LIFO。</p>
<p><strong>18. 在数组头添加元素 <br /></strong>array_unshift()函数在数组头添加元素。所有己有的数值键都会相应地修改，以反映其在数组中的新位置，但是关联键不受影响。其形式如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>int array_unshift(array array,mixed variable[,mixed variable])</p>
<p>下面这个例子在$fruits数组前面添加了两种水果：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple","banana"); <br />array_unshift($fruits,"orange","pear") <br />// $fruits = array("orange","pear","apple","banana");</p>
<p><strong>19. 在数组尾添加元素</strong> <br />array_push()函数的返回值是int型，是压入数据后数组中元素的个数，可以为此函数传递多个变量作为参数，同时向数组压入多个变量。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>(array array,mixed variable [,mixed variable...])</p>
<p>下面这个例子在$fruits数组中又添加了两个水果：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple","banana"); <br />array_push($fruits,"orange","pear") <br />//$fruits = array("apple","banana","orange","pear")</p>
<p><strong>20. 从数组头删除值 <br /></strong>array_shift()函数删除并返回数组中找到的元素。其结果是，如果使用的是数值健，则所有相应的值都会下移，而使用关联键的数组不受影响。其形式为</p>
<p><u>复制代码</u> 代码如下:</p>
<p>mixed array_shift(array array)</p>
<p>下面的例子删除了$fruits数组中的第一个元素apple：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple","banana","orange","pear"); <br />$fruit = array_shift($fruits); <br />// $fruits = array("banana","orange","pear") <br />// $fruit = "apple";</p>
<p><strong>21. 从数组尾删除元素 <br /></strong>array_pop()函数删除并返回数组的最后一个元素。其形式为：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>mixed array_pop(aray target_array);</p>
<p>下面的例子从$states数组删除了最后的一个州：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$fruits = array("apple","banana","orange","pear"); <br />$fruit = array_pop($fruits); <br />//$fruits = array("apple","banana","orange"); <br />//$fruit = "pear";</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:18:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e6%95%b0%e7%bb%84/" title="操作数组">操作数组</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php 操作数组（合并，拆分，追加，查找，删除等）_php技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQR1mz.html" rel="bookmark">php二维数组合并及去重复的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php二维数组合并及去重复的方法.分享给大家供大家参考.具体实现方法如下: $arr = array_merge($labels,$label); //合并需要合并的俩个数组 $key = id;//去重条件 $tmp_arr = array();//声明数组 foreach($arr as $k =&gt; $v) { if(in_array($v[$key], $tmp_arr)) //搜索$v[$key]是否在$tmp_arr数组中存在,若存在返回true { unset($arr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baqGYqb.html" rel="bookmark">JS数组合并push与concat区别分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JS数组合并push与concat区别.分享给大家供大家参考,具体如下: 注意 concat 拼写,二者功能很相像,但有两点区别. 先看代码: var arr = []; arr.push(1); arr.push([2, 3]); arr.push(4, 5); arr = arr.concat(6); arr = arr.concat([7, 8]); arr = arr.concat(9, 10); arr.each(function(index, value){ alert			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKmw5Op.html" rel="bookmark">javascript js 操作数组 增删改查的简单实现&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数定义 Array.prototype.indexOf = function(val) { for (var i = 0; i &lt; this.length; i++) { if (this[i] == val) return i; } return -1; }; Array.prototype.remove = function(val) { var index = this.indexOf(val); if (index &gt; -1) { this.splice(index, 1); } }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4YdvNb.html" rel="bookmark">PHPExcel合并与拆分单元格的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHPExcel合并与拆分单元格的方法.分享给大家供大家参考,具体如下: $objPHPExcel; $filepath=&quot;c:\temp.xlsx&quot;; try { $objReader = PHPExcel_IOFactory::createReader('Excel2007'); $objPHPExcel = $objReader-&gt;load($filepath); } catch (Exception $e) { die(); } $column_index			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ9NOZb.html" rel="bookmark">JavaScript中数组成员的添加、删除介绍&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript中,由于数组长度是可变的,因此可以通过直接定义新的成员而将其添加到数组中: 复制代码 代码如下: var o = [2,3,5]; o[3] = 7; console.log(o);//[2,3,5,7] 除了这种方法,还可以通过使用push()语句来达到相同的目的: 复制代码 代码如下: o.push(11); console.log(o);//[2,3,5,7,11] o.push(13,17); console.log(o);//[2,3,5,7,11,13,17] 如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Q2V6p.html" rel="bookmark">PHP删除数组中的特定元素的代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				比如下面的程序: 复制代码 代码如下: &lt;?php $arr = array('apple','banana','cat','dog'); unset($arr[2]); print_r($arr); ?&gt; 程序运行结果: 复制代码 代码如下: Array ( [0] =&gt; apple [1] =&gt; banana [3] =&gt; dog ) 但是这种方法的最大缺点是没有重建数组索引,就是说,数组的第三个元素没了. 经过查资料后,原来PHP提供了这个功能,只不过很间接.这个函数是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqKKap.html" rel="bookmark">php数组查找函数总结&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了php数组查找函数.分享给大家供大家参考.具体如下: 这里提供三种方法来判断一个字符串中是否包括我们定义好的词,这比较适合于在留言,评论等地址进行关键词过滤,实例代码如下: 复制代码 代码如下: $crud = array('中国|||我国|||大地', 'kelon|||lerke|||sb', 'sesscxx'); $crud = join('|',$crud); $crud = str_replace('|||', '|', $crud); $pat  = &quot;/({$cru			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk0vDOz.html" rel="bookmark">php使用array&lowbar;search函数实现数组查找的方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php使用array_search函数实现数组查找的方法.分享给大家供大家参考.具体实现方法如下: &lt;?php $array = array(4,5,7,8,9,10); $found = array_search(8, $array); //调用array_search函数并输出查找结果 if($found) //如果找到输出键 echo &quot;已找到,键为&quot;.$found; else //如果没有找到输出错误信息 echo &quot;没有找到&quot;; ?&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9NNokp.html" rel="bookmark">php 数组二分法查找函数代码&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				复制代码 代码如下: &lt;?php //search函数 其中$array为数组,$k为要找的值,$low为查找范围的最小键值,$high为查找范围的最大键值 function search($array, $k, $low=0, $high=0) { if(count($array)!=0 and $high == 0) //判断是否为第一次调用 { $high = count($array); } if($low &lt;= $high) //如果还存在剩余的数组元素 { $mid = intva			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlmm8Yp.html" rel="bookmark">php中使用in&lowbar;array&lpar;&rpar; foreach array&lowbar;search&lpar;&rpar; 查找数组是否包含时的性能对比&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				判断某字符是否包含与某于数组中,方法有很多,刚学习php的新手们估计偏向于使用循环来解决,对于一般的小网站来说,这种解决方案是不会出现什么大问题的.但就性能来说,这种方法不是最好的方法,下面笔者就 foreach,in_array() array_search 这三种方法来比较这三种方法在性能表现上的差异. &lt;?php $runtime= new runtime; $runtime-&gt;start(); $a = 'k'; $b = array('a','b','c','d','e','f','			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPgK1M.html" rel="bookmark" class="title">&period;net开发中的一些注意事项及小技巧</a>
					<div>
						1.构造函数不能带返回值类型,因为构造函数返回就是对象本身. 2.将字符串转换成日期类型,用DateTime.Parese()或DateTime. ParseExact ()函数. 3.if(!Pag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9OARz.html" rel="bookmark" class="title">CorelDRAW 12中的属性复制快捷键</a>
					<div>
						CorelDRAW 12 中的属性复制快捷键是什么呀? CD12是要自己设置的. 点CTRL+J,出来一对话框.然后...工作区--自定义--命令在面版上选编辑,然后选中&quot;复制属性自&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlaK5b.html" rel="bookmark" class="title">php&plus;ajax实现无刷新动态加载数据技术</a>
					<div>
						  无刷新功能我们用到很多很多的,下面我就来给各位介绍一个实例,就是实现php+ajax实现无刷新滚屏加载数据,例子非常的简单大家只要按流程来操作就可以了哦. 我们浏览有些网页的时候,当拉动浏览器的滚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1jYqz.html" rel="bookmark" class="title">hta实现的定时关机小程序</a>
					<div>
						这个小程序使用hta写的,用了vbscript代码实现,喜欢的朋友可以测试下   定时关机小程序 界面: 实现代码: 复制代码 代码如下: &lt;head&gt; &lt;title&gt;定时关机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6vKEz.html" rel="bookmark" class="title">Linux中环境变量配置文件详解</a>
					<div>
						  环境变量是和Shell紧密相关的,用户登录系统后就启动了一个Shell.对于Linux来说一般是bash,但也可以重新设定或切换到其它的 Shell.对于UNIX,可能是CShelll.环境变量是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmwRdz.html" rel="bookmark" class="title">jQuery实现简单的间隔向上滚动效果</a>
					<div>
						 这篇文章主要介绍了jQuery实现简单的间隔向上滚动效果,实例分析了jQuery通过animate与setInterval控制dom元素滚动特效的技巧,需要的朋友可以参考下     本文实例讲述了j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwNPGp.html" rel="bookmark" class="title">Photoshop打造炫酷的横幅海报</a>
					<div>
						1. 新建一个895×307px的图层,分辨率为300,背景颜色为白色,颜色模式为RGB. 2. 打开人物素材,拖到刚刚新建的图层上面. 3.新建图层,使用钢笔工具圈出图片上半部分,需要带点弧度,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw8oKp.html" rel="bookmark" class="title">Win7电脑物理内存过高怎么办？</a>
					<div>
						  因为系统软件运行的时候都需要在内存中运行,所以内存的大小就决定着Win7系统的运行速度.有用户发现自己的电脑很慢.还以为是中毒了,经过一番的检查发现不是中毒了,而是电脑的物理内存占用太高了.那要怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdZQoM.html" rel="bookmark" class="title">迅捷数据恢复软件内存卡格式化了怎么恢复</a>
					<div>
						  1.打开从网上下载的迅捷数据恢复软件,该软件无需安装即可使用.软件打开后,单击&quot;数据恢复&quot;按钮进入下一步. 2.单击选择数据恢复模式&quot;删除恢复&quot;,然后单击& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmD1Wz.html" rel="bookmark" class="title">电脑病毒引起U盘异常造成WORD文件丢失现象 WORD文件恢复方法介绍</a>
					<div>
						不要把重要的文件单独存放 在U盘上,而应该养成将重要信息存储在硬盘上的良好习惯,把U盘只当成文件交换的临时工具 一. 异常情况介绍 1. 公司内部编辑部一用户因工作需要,经常需要使用U盘与对口印刷单位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwkK4b.html" rel="bookmark" class="title">Windows Update 下载安装被阻止</a>
					<div>
						  故障问题:在Windows XP中运行Windows Update时出现&quot;Access Denied:Network policy settings prevent you from u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmjPkz.html" rel="bookmark" class="title">大神帮帮忙-QT编辑框问题，下拉框重复动作</a>
					<div>
						问题描述 QT编辑框问题,下拉框重复动作 QT中在编辑框写文本时,要求回弹出下拉框,也跟着一模一样写,就像手机输入手机号码一样 解决方案 之前写过一个..下拉框用的是listWidget是用lineE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWE5mp.html" rel="bookmark" class="title">Android handler&period;removeCallbacksAndMessages&lpar;null&rpar;的妙用</a>
					<div>
						问题 在Android项目中,Handler通常被用作主线程和子线程之间的通信.在实际应用过程中,我们经常通过Hander发送Message或者Runnable到主线程,但却很少主动在UI(Activ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6N75LM.html" rel="bookmark" class="title">java多种幻灯片切换特效&lpar;经典&rpar;&lowbar;java</a>
					<div>
						功能实现: 1.图片加载类ImageLoader实现: 1)用阻塞队列存储要图片:BlockingQueue images = new ArrayBlockingQueue&lt;&gt;(2); 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZv6Ob.html" rel="bookmark" class="title">小白自学教程：如何选择正确的防火墙</a>
					<div>
						本文讲的是 : 小白自学教程:如何选择正确的防火墙   , [IT168 评论]对于保护网络和数据免受内部和外部威胁,防火墙发挥着至关重要的作用.防火墙是将网络与互联网分开的虚拟墙;他们可过滤流量,限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm3RvM.html" rel="bookmark" class="title">新浪云注册的有关服务器问题</a>
					<div>
						问题描述 新浪云注册的有关服务器问题 新浪云注册的服务器登录来管理网站的代码,登录的时候,所谓的安全邮箱和安全密码是什么? 解决方案 图片如下,刚才没搞上					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKYVnb.html" rel="bookmark" class="title">jsp-myeclipse与mysql运行出错</a>
					<div>
						问题描述 myeclipse与mysql运行出错 You have an error in your SQL syntax; check the manual that corresponds to  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRxwZb.html" rel="bookmark" class="title">谷歌地图新功能</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 谷歌于周三通过了官方博客宣布称,该公司已为谷歌街景推出了一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4ekVLb.html" rel="bookmark" class="title">写的powershell脚本删除文件，显示一直在占用</a>
					<div>
						问题描述 写的powershell脚本删除文件,显示一直在占用 remove-item &lt;&lt;&lt;&lt; 'd:read.txt' -recurse + CategoryInfo :  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW8lmM.html" rel="bookmark" class="title">指定的转换无效。</a>
					<div>
						问题描述 namespacedqdp{///&lt;summary&gt;///WebForm1的摘要说明.///&lt;/summary&gt;publicclassWebForm1:System. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnlD6M.html" rel="bookmark" class="title">iOS 集成环信关于收到好友申请的问题</a>
					<div>
						问题描述 我们现在开发的APP现在有一个需求,有两种加好友的方式.一种是直接加好友,没有好友申请:一种是需要另一个人同意加好友,出现好友申请.我想问一下 ,环信有办法解决这个问题么 解决方案 1.直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8NEv4b.html" rel="bookmark" class="title">CentOS系统中Zabbix3&period;x安装图解教程</a>
					<div>
						zabbix软件包下载 zabbix-3.0.1.tar.gz http://heanet.dl.sourceforge.net/project/zabbix/ZABBIX%20Latest%20St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmV31Bz.html" rel="bookmark" class="title">Java语言class类用法及泛化（详解）&lowbar;java</a>
					<div>
						这篇文章主要介绍了Java语言class类用法及泛化(详解),大家都知道Java程序在运行过程中,对所有的对象进行类型标识,也就是RTTI.这项信息记录了每个对象所属的类.虚拟机通常使用运行时类型信息 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNGjBp.html" rel="bookmark" class="title">jQuery 表单验证扩展代码&lpar;一&rpar;&lowbar;jquery</a>
					<div>
						再次申明,插件问题比较多,后期一个个来解决,请不要恶言相向.希望各位多多提好的建议善言. 一. 分析表单验证的基本情况 在我们做web开发的过程中,会遇到各种各样的验证.归纳一下基本可以分为一下几类: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqvmZp.html" rel="bookmark" class="title">怎样使用Cookie跟踪来访者？&lowbar;编程10000问</a>
					<div>
						&lt;%Dim NumVisit' 声明变量. NumVisit = Request.Cookies(&quot;chunfeng&quot;)(&quot;totalvisit&quot;)' 检 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YDRNp.html" rel="bookmark" class="title">写在2009年的最后一天</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 今天回到单位,已经是2010年的1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boqALdp.html" rel="bookmark" class="title">最具潜力的B2C网站推荐</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 大家可能经常会在淘宝上买卖东西,并且淘宝在今年年初又新推出了[淘宝B2C业务平台今日上线运营] ,当然,也有很多朋友在上面买东西,但某些东西在你要进行购 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQa308b.html" rel="bookmark" class="title">酷我音乐盒实用技巧全攻略之好歌随时听</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/12037.html&quot;&gt;酷我音乐盒一经推出后,就受到网络音乐爱者们的欢迎.酷我音乐盒的特点就是实用性与个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWKNrGM.html" rel="bookmark" class="title">最高检举报新规增加网络渠道 最高可奖20万</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 据新华社电 最高人民检察院对&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqO0PZz.html" rel="bookmark" class="title">利用大数据发展业务的五个维度</a>
					<div>
						对于大数据的前景,有53%的互联网专家和观察员相信,它将给社会的各个方面都带来积极的影响.大数据可以增加社会透明度.可以更好地分析系统性能等等,因此它在未来价值巨大. 除了以上优点,大数据还能创造新的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.039 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
